<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpMime 4.2.3</title>
</head><body>
<table cellspacing="0" cellpadding="2" class="barGraph">
  <tbody>
  <tr>
    <td colspan="7">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-client" target="_top">HttpMime 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 11:14:07 CET</div>

        
    
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="agg-pkgs.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Mon Jan 14 2013 22:52:04 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      317
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      1,535
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      151
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      3.27
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      92
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      754
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.48
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.93
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      97
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      14
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.56
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      7
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      14
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      2
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Mon Jan 14 2013 22:52:04 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      317
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      1,535
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      151
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      3.27
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      92
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      754
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.48
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.93
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      97
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      14
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.56
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      7
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      14
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      2
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>



<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</tbody>
<tbody>
<tr>
    <td class="sortable graphHeaderLeft" onclick="ts_resortTable(this, 'alpha', 0);return false;">
        <strong>&nbsp;Aggregate Packages</strong>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;"  colspan="1">
        <div class="headerTitle"><label >Packages</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 2);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 3);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 4);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 5);return false;"  colspan="2">
        <div class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></div>
    </td>
        </tr><!-- render list of package coverage bargraphs -->
                                  <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/entity/mime/content/pkg-risks.html'><img alt='Cloud icon for content' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.entity.mime.content</span>
    	  <a href="org/apache/http/entity/mime/content/pkg-summary.html" title="org.apache.http.entity.mime.content">org.apache.http.entity.mime.content</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.3571428</span>
          1.36
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">59.0</span>
          59
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.64880955</span>
          64.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.64880955</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="35.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="64.9% Covered" class="barPositive " style="width: 64.9%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			
	        <span class="sortValue">org.apache</span>
    	   org.apache
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.5567011</span>
          1.56
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">161.0</span>
          161
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6818182</span>
          68.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6818182</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="31.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="68.2% Covered" class="barPositive " style="width: 68.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			
	        <span class="sortValue">org.apache.http.entity</span>
    	   org.apache.http.entity
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.5567011</span>
          1.56
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">161.0</span>
          161
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6818182</span>
          68.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6818182</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="31.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="68.2% Covered" class="barPositive " style="width: 68.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			
	        <span class="sortValue">org.apache.http</span>
    	   org.apache.http
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.5567011</span>
          1.56
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">161.0</span>
          161
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6818182</span>
          68.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6818182</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="31.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="68.2% Covered" class="barPositive " style="width: 68.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                                     <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/entity/mime/pkg-risks.html'><img alt='Cloud icon for mime' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.entity.mime</span>
    	  <a href="org/apache/http/entity/mime/pkg-summary.html" title="org.apache.http.entity.mime">org.apache.http.entity.mime</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.5567011</span>
          1.56
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">161.0</span>
          161
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6818182</span>
          68.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6818182</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="31.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="68.2% Covered" class="barPositive " style="width: 68.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			
	        <span class="sortValue">org</span>
    	   org
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.5567011</span>
          1.56
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">161.0</span>
          161
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6818182</span>
          68.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6818182</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="31.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="68.2% Covered" class="barPositive " style="width: 68.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 11:14:16 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
